<?php
// ________________________________________________________
// resize an image so the both edges do not exceed $maxSize
function sizeFix($image, $maxSize=600) {

	$ox=imagesx($image);
	$oy=imagesy($image);

	if ($ox>=$oy) {
		$nx=$maxSize;
		$ny=intval(($nx/$ox)*$oy);
	}
	else {
		$ny=$maxSize;
		$nx=intval(($ny/$oy)*$ox);
	}

	// create new image
	$imgResized=imagecreatetruecolor($nx, $ny);
	imagecopyresampled($imgResized, $image, 0, 0, 0, 0, $nx, $ny, $ox, $oy);

	// return image
	return $imgResized;
}


// ________________________________________________________
// resize an image so the exact size of $nx x $ny
function sizeExact($image, $nx=80, $ny=60) {

	$ox=imagesx($image);
	$oy=imagesy($image);
	$ratio = $ny / $nx;

	// find section of image to resample
	if ($oy >= ($ox*$ratio)) {
		$width = $ox;
		$height = intval($ox * $ratio);
		$offX = 0;
		$offY = intval(($oy - $height) / 2);
	}
	else {
		$width = intval($oy * (1/$ratio));
		$height = $oy;
		$offX = intval(($ox - $width) / 2);
		$offY = 0;
	}

	// create new image
	$imgResized=imagecreatetruecolor($nx, $ny);
	imagecopyresampled($imgResized, $image, 0, 0, $offX, $offY, $nx, $ny, $width, $height);

	// return image
	return $imgResized;
}
?>