<?php
// set application defaults
$defaults='INCLUDEFOLDER;IMAGEFOLDER;DATAFOLDER;TITLE;';

$inifile='autodirector.ini';
$ini=parse_ini_file($inifile);
foreach ($ini as $key=>$value) {
	define($key, $value);
	$defaults=str_replace($key.';', '', $defaults);
}
unset($ini);

// missing application defaults
if ($defaults!='') {
	print "The following parameters are missing from the $inifile file:\n $defaults";
	exit;
}
unset($defaults);


// ________________________________________________________
// MAIN APPLICATION

// PHP includes
require(INCLUDEFOLDER.'dbhandler.php');
require(INCLUDEFOLDER.'aduser.php');
require(INCLUDEFOLDER.'adfunctions.php');

// set defaults
define('USERID', readCookie('aduserid'));
define('THISURL', $_SERVER['PHP_SELF']);
define('FULLURL', scriptPath());

// setup database object
$db=new dbObject;

// find out user information
$thisUser=new userObject;
$thisUser->selectDB($db);

// no user ID defined - return to login
if (USERID=='') {
	header('Location: '.FULLURL.'index.php');
	exit();
}
else {
	if (!$thisUser->fetchUser(USERID)) {
		print '<html><head><title>AutoDirector</title></head><body><p>The user account '.USERID.' is not defined, or a database communication error has occurred. Please <a href="index.php">log in again</a> or contact your administrator.</p></body></html>';
		exit();
	}
}

// find function to run
$function=postvar('function');
$result='';

if ($function=='emailupdate') $result.=emailUpdate();
if ($function=='passwordupdate') $result.=passwordUpdate();

// page header
$pagetitle=$thisUser->email.' account';
require(INCLUDEFOLDER.'adpagehead.php');
showMenu('myaccount');

// JavaScript includes
print '<script type="text/javascript" src="'.INCLUDEFOLDER.'adscript.js"></script>';
print '<script type="text/javascript" src="'.INCLUDEFOLDER.'adscriptaccount.js"></script>';

// start email update form
if (USERID=='guest@autodirector.co.uk') print '<p>This screen normally provides the option to change your email address and password. This is not permitted for the guest account.</p>';
else {
	print '<p>Use the options below to update your email address or password.</p>';
	print '<table align="center" border="0" cellpadding="3" cellspacing="2">';

	print '<tr><td colspan="2" class="heading">Change your email address</td></tr>';

	print '<tr><td><form name="emailupdate" action="'.THISURL.'" method="post" onsubmit="return checkEmailUpdate();">';
	doHidden('function', 'emailupdate');
	doHidden('emailold', $thisUser->email);
	print '<b>new email address:</b></td><td><input type="text" name="email" value="'.$thisUser->email.'" size="30" maxlength="100" /></td></tr>';
	print '<tr><td><b>confirm password:</b></td><td><input type="password" name="password" value="" size="20" maxlength="20" autocomplete="off" /></td></tr>';
	print '<tr><td colspan="2" align="right"><input type="submit" value="update email" class="button" /><br clear="all" /><br /></form></td></tr>';

	print '<tr><td colspan="2" class="heading">Change your password</td></tr>';

	print '<tr><td><form name="passwordupdate" action="'.THISURL.'" method="post" onsubmit="return checkPasswordUpdate();">';
	doHidden('function', 'passwordupdate');
	print '<tr><td><b>current password:</b></td><td><input type="password" name="passwordold" value="" size="20" maxlength="20" autocomplete="off" /></td></tr>';
	print '<tr><td><b>new password:</b></td><td><input type="password" name="passwordnew1" value="" size="20" maxlength="20" autocomplete="off" /></td></tr>';
	print '<tr><td><b>confirm new password:</b></td><td><input type="password" name="passwordnew2" value="" size="20" maxlength="20" autocomplete="off" /></td></tr>';
	print '<tr><td colspan="2" align="right"><input type="submit" value="update password" class="button" /><br clear="all" /><br /></form></td></tr>';
	print '</td></tr>';

	print '</table>';
}

// show result of function
if ($result!='') print "<p class=\"error\">$result</p>";

// disconnect from database
$db->dbDisconnect();
unset($db);

// unload variables
unset($thisUser);

// page footer
require(INCLUDEFOLDER.'adpagefoot.php');


// ________________________________________________________
// update the user's email address
function emailUpdate() {

	global $thisUser;
	$ret='';

	$email=postvar('email');
	$password=postvar('password');

	if ($password!=$thisUser->password) $ret.='You have not entered the correct password. Your email address has not been changed.';
	else {
		if ($thisUser->updateEmail($email, $email)) {
			$ret.="Your email address has been successfully changed to $email.";
			writeCookie('aduserid', $email);
		}
		else $ret.='A problem occurred when updating your email and it has not been changed. Please try again or contact your administrator.';
	}

	return $ret;
}


// ________________________________________________________
// update the user's password
function passwordUpdate() {

	global $thisUser;
	$ret='';

	$passwordold=postvar('passwordold');
	$password=postvar('passwordnew1');

	if ($passwordold!=$thisUser->password) $ret.='You have not entered your current password correctly. Your password has not been changed.';
	else {
		if ($thisUser->updatePassword($password, $thisUser->email)) {
			$ret.="Your password has been successfully changed.";
		}
		else $ret.='A problem occurred when updating your password and it has not been changed. Please try again or contact your administrator.';
	}

	return $ret;
}
?>