<?php
// AutoDirector database setup
$defaults='MYSQLHOST;MYSQLDBNAME;MYSQLDBUSER;MYSQLDBPASS;INCLUDEFOLDER;IMAGEFOLDER;DATAFOLDER;CLIENTFOLDER;UPLOADSIZELIMIT;UPLOADTIMELIMIT;IMPORTPROFILES;IMPORTDATA;SUPPORTEMAIL;TITLE;ADVERT;ADVERTURL;LICENCEKEY;';

$inifile='autodirector.ini';
$ini=parse_ini_file($inifile);
foreach ($ini as $key=>$value) {
	define($key, $value);
	$defaults=str_replace($key.';', '', $defaults);
}
unset($ini);

// missing application defaults
if ($defaults!='') {
	print "The following parameters are missing from the $inifile file:\n $defaults";
	exit;
}
unset($defaults);

// ________________________________________________________
// MAIN APPLICATION

// PHP includes
require(INCLUDEFOLDER.'dbhandler.php');
require(INCLUDEFOLDER.'adfunctions.php');
require(INCLUDEFOLDER.'adsite.php');

// page header
$pagetitle='version 1.9 upgrade';
require(INCLUDEFOLDER.'adpagehead.php');
print '<script type="text/javascript">function start() {}</script>';

// connect to database
$db=new dbObject;
if ($db->dbConnect()) {

	// find all sites
	if ($db->fetch('SELECT siteid FROM sites ORDER BY siteid ASC;')) {

		if ($db->rowcount==0) {
			print '<p class="error">No sites have been defined. No further processing is required.</p>';
		}
		else {
		
			print '<p>Upgrading all site files...</p><ol>';

			// retrieve all site names
			while ($row=$db->row()) $sitelist[] = $row[0];
		
			// define site object
			$thisSite=new siteObject;
			$thisSite->selectDB($db);
			
			// update all sites
			$problem = false;
			for ($i=0; $i<count($sitelist); $i++) {
			
				// delete searchmap file
				$mapfile = DATAFOLDER.$sitelist[$i].'/searchmap.php';
				if (@file_exists($mapfile)) {
					@chmod($mapfile, 0666);
					@unlink($mapfile);
				}
			
				// regenerate site file
				print "<li><strong>${sitelist[$i]}</strong>: ";
				$thisSite->fetchSite($sitelist[$i]);
				$result=generateFiles($thisSite, scriptPath(), DATAFOLDER);
				
				if ($result=='') print 'successful</li>';
				else {
					print "<span class=\"error\">FAILED</b>. The following errors were reported:<br />$result</li>";
					$problem = true;
				}
			}
			
			// processing complete
			print '</ol>';
			if ($problem) print '<p>Please check the errors generated above and reload this page again to complete the upgrade.';
			else print '<p>Upgrade successful. You may now <a href="index.php">log on</a>.</p>';

		}
	}
	else {
		print '<p class="error">The database is not available. Please contact your administrator.</p>';
	}

	// disconnect from database
	$db->dbDisconnect();
}
else {
	print '<p class="error">FAILED TO CONNECT TO DATABASE<p><p>Upgrade process must be aborted. Please check that the database "'.MYSQLDBNAME.'" exists and can be accessed by "'.MYSQLDBUSER.'@'.MYSQLHOST.'" with the password "'.MYSQLDBPASS.'".</p>';
}

unset($db);
		
// page footer
require(INCLUDEFOLDER.'adpagefoot.php');
?>